Package org.apache.tools.zip

# Class ZipEncodingHelper

java.lang.Object
org.apache.tools.zip.ZipEncodingHelper

    public abstract class ZipEncodingHelper
    extends java.lang.Object

Static helper functions for robustly encoding filenames in zip files.

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`ZipEncodingHelper()` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`static ZipEncoding` | `getZipEncoding​(java.lang.String name)` | Instantiates a zip encoding.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### ZipEncodingHelper

public ZipEncodingHelper()

## Method Details

### getZipEncoding

public static ZipEncoding getZipEncoding​(java.lang.String name)
Instantiates a zip encoding.

Parameters:
  `name` - The name of the zip encoding. Specify `null` for the platform's default encoding.
Returns:
  A zip encoding for the given encoding name.